[sword-devel] Ubuntu 12.04 ....

Greg Hellings greg.hellings at gmail.com
Mon Apr 23 05:49:42 MST 2012

Xiphos 3.1.5 requires SWORD SVN. In the Crosswire Ubuntu PPA current
SVN of SWORD is named libsword9.

BibleTime 2.9.1 cannot be built against SWORD SVN but only against
SWORD 1.6.2. In Ubuntu's current release this version of SWORD is
named libsword8.

There is a branch in BibleTime's git repository which allows it to be
built against SWORD's SVN, but because of API changes since then our
current trunk cannot be built. BibleTime will not release a version
which is incompatible with the current SWORD release and that is why
we requested that Troy cut a new release of SWORD. Once SWORD 1.7
(libsword9 in Ubuntu/Debian parlance) is released the next version of
BibleTime released after that will be compatible with the new API and
will therefore require libsword9.

If you want to get more to the bottom of it, try providing Dmitrijs
with the information he specified, but it sounds like you are drawing
the official Ubuntu package of BibleTime and the PPA package of Xiphos
to get the conflict you indicated.


On Mon, Apr 23, 2012 at 6:40 AM, Barry Drake <bdrake at crosswire.org> wrote:
> On 23/04/12 12:11, Dmitrijs Ledkovs wrote:
>> do not mix PPAs with official archive.
> I understand that.  What I'm doing is reporting that there is a problem in
> the packages held in Ubuntu 12.04 repo.  I'm asking whoever is responsible
> for submissions to Ubuntu to get things up to date as soon as possible.  I
> know the official packages are OK but 12.04 is released on Thursday of this
> week so I'm doing some final testing!  The new user of 12.04 is NOT going to
> look for the official ppa but will simply use Ubuntu Software Centre - and
> get the conflict.
> God bless,        Barry.
> --
> Barry Drake is a member of the the Ubuntu Advertising team.
> http://ubuntuadverts.org/
> _______________________________________________
> sword-devel mailing list: sword-devel at crosswire.org
> http://www.crosswire.org/mailman/listinfo/sword-devel
> Instructions to unsubscribe/change your settings at above page

More information about the sword-devel mailing list